A method to store information via email and ensure the verification of the data and the identification of the version
Internet-Draft draft-valentinbinotto-v-verificationsystem-vv-00
Valentin Binotto
valentin-43-44.org
valentin.internetdrafts.v-vs@v434project.com
19 June 2024
Internet Engineering Task Force
This document describes a method to store information via email and to ensure the verification of the data and identification of the version. As a long-established way of communicating and sharing information and knowledge, email is at the heart of the V verification system (V-VS).
Introduction
The permanent storage of information and data is absolutely essential for a large proportion of Internet users. The name "V verification system" refers to a procedure for sending information via email and providing it with defined version identification attributes in order to guarantee the subsequent traceability of the version history. As this procedure uses the existing email infrastructure, elements such as DKIM, SPF or the encryption of email content can be used to guarantee the integrity of the data.
The V verification system only uses the email infrastructure. This means that the use of the V verification system is not associated with far-reaching changes to the existing infrastructure, and compatibility with legacy infrastructures is guaranteed. Furthermore, these minimal requirements mean that the V verification system is highly flexible and can also be used in environments with limited infrastructure.
Requirements Language
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
The Specification
The user or administrator who wishes to store data in the sense of the V verification system, MUST use their personal individual email account (example: valentin@system.valentin).
The user or administrator MUST send the data to a personal, individual email address that is also uniquely assigned to them (example: valentin@admins.valentin). This address MAY be the same as the sender's address, but MAY also be an address that is different from the sender's address. The data SHOULD be in the message body of the email. The message body itself MAY be formatted as Plain text (flat US-ASCII text)([RFC822]) or MIME ([RFC2045]).
The subject of the email SHOULD include the project name or the name of the data to be stored, the current date in the format YYYYMMDD and the current time in the format HHMM as well as a random value. The subject of an email could therefore look like this: "PROJECTXYYZ202406181520 VB"
In order to improve the durability of the data or to enable collaboration with other people, these mails MAY also be addressed to a mailing list or to various other people in addition to the personal email address.
The minimum requirements of the V verification system are described in this document. All further details on how the user wishes to use the V verification system are the sole responsibility of the user.
Security Considerations
According to the author, no security considerations apply to this document.
IANA Considerations
This document has no IANA actions.
References
Normative References
[RFC2119]

Key words for use in RFCs to Indicate Requirement Levels
S. Bradner
March 1997
BCP 14
RFC 2119
DOI 10.17487/RFC2119
[RFC8174]

Ambiguity of Uppercase vs Lowercase in RFC 2119 Key Words
B. Leiba
May 2017
BCP 14
RFC 8174
DOI 10.17487/RFC8174
[RFC5321]

Simple Mail Transfer Protocol
J. Klensin
October 2008
RFC 5321
DOI 10.17487/RFC5321
[RFC5322]

Internet Message Format
P. Resnick, Ed.
October 2008
RFC 5322
DOI 10.17487/RFC5322
[RFC2045]

Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies
N. Freed
N. Borenstein
November 1996
RFC 2045
DOI 10.17487/RFC2045
Informative References
[RFC821]

Simple Mail Transfer Protocol
J. Postel
August 1982
STD 10
RFC 821
DOI 10.17487/RFC0821
[RFC822]

STANDARD FOR THE FORMAT OF ARPA INTERNET TEXT MESSAGES
D. Crocker
August 1982
STD 11
RFC 822
DOI 10.17487/RFC0822